
s = require 'rect'

function love.load()
	wd, ht = 600, 600
	love.graphics.setMode( wd, ht, {} )
	love.graphics.setCaption( 'Rounded Rectangle' )
	screen = { ht, wd }
	love.graphics.setBackgroundColor( 255, 255, 255 )
	love.mouse.setPosition( wd, 100 )

	center		= {300,300}			-- rectangle location
	size		= {250,150}			-- rectangle dimensions
	round		= 8					-- amount of corner rounding
	bg_color	= {0.0,0.5,0.0}		-- background color
	fg_color	= {0.8,0.8,0.0}		-- rectangle color

	s.effect:send('center',center)
	s.effect:send('size',size)
	s.effect:send('round',round)
	s.effect:send('bg_color',bg_color)
	s.effect:send('fg_color',fg_color)

	gt = 0
	end

function love.update( dt )
	gt = gt +  dt
	s.effect:send( 'time', gt )
	s.effect:send( 'screen', screen )
	end

function love.draw()
	love.graphics.setPixelEffect( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setPixelEffect()
	love.graphics.setColor( 255, 0, 0, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 10,10 )

	-- show dcenter position of rectangle
	love.graphics.line(center[1]-10,center[2],center[1]+10,center[2])
	love.graphics.line(center[1],center[2]+10,center[1],center[2]-10)
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
